:host {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 125px;
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size);
}

app-fieldset,
form {
  width: 70vw;
  margin: auto;

  @media screen and (min-width: 768px) {
    width: 50vw;
  }
}

form {
  margin: var(--spacing-bigger) 0;
}

label {
  font-family: var(--secondary-font);
  font-size: var(--secondary-font-size-very-small);
}

.checkbox-star {
  width: 28px;
  height: 28px;
  position: absolute;
  top: 50%;
  left: -16px;
  transform: translate(-100%, -50%);
  transition: all 330ms linear;
}

input:not(:checked) + .checkbox-star {
  --checkbox-star: transparent;
}

[type="submit"] {
  width: 140px;
  height: 140px;
  padding: 0;
  border: none;
  background: transparent !important;
  position: relative;
  -webkit-tap-highlight-color: transparent;

  span {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-55%, -66%);
    font-family: var(--primary-font);
    font-size: var(--primary-font-size-medium);
    color: var(--app-button-text);
  }

  svg {
    width: inherit;
    height: inherit;
    --checkbox-star: var(--app-button);
    --checkbox-star-stroke: var(--app-button);
  }
}

app-fieldset {
  margin-bottom: var(--spacing-bigger);
}

.top-svg {
  width: 252px;
  margin: auto;
}

.last-result {
  margin-top: var(--spacing-medium);
}
